Various states of ordering
Each order can contain several order items. The status of the order item is the lowest status of its order items.
You can retrieve the status of your order via GET /orders/{orderNumber} or by a webhook
Webhooks for order status changes
The Print.com API supports calls to webhooks when the status of an order changes. Simply add a webhookURL to the root of an order and receive messages when the status of the order changes. For each order, three messages are supported:
- Placing the order
- When the order is in production (ACCEPTEDBYSUPPLIER)
- When the order is shipped (SHIPPED)
Note: The API is limited to the order and doesn’t support individual changes to an order item.
{
"items": [...]
"poNumber": "...",
"webhookUrl": "https://webhook.yourdomain.com/bf951096-5c52-46e1-8dae-a365e63df896",
"customerReference": "..."
"billingAddress": {...},
}{
"created_at": "2024-04-29T11:01:49.309Z",
"event_type": "ORDER_STATUS_CHANGED",
"payload": {
"order_item_id": "76965",
"status": "SHIPPED",
"order_number": "6000054630"
}
}List of order statuses
- designconfirmed - The design has been checked and confirmed by the customer.
- designrejected - The design of the order (item) is rejected by a Print.com file checker.
- manualcheck - The order (item) has to be manually checked by a Print.com file checker.
- readyforproduction - The order (item) is ready to be sent to a production location.
- senttosupplier - The order (item) has been sent to a production location.
- acceptedbysupplier - The order (item) has been accepted by the production location.
- rejectedbysupplier - The order (item) has been rejected by the production location.
- shipped - The order (item) has been packed & a carrier label has been printed. The carrier will now pick up the order (items) and ship it to the shipping address.
- delivered - The order (item) has been delivered to the customer. Note: this status is not always returned by the carrier.
- canceledbyuser - The user has canceled the order.
Tracking shipments (Track & Trace)
As soon as an order item has been shipped, it is possible to fetch a tracking url by the following API call:
GET https://api.print.com/orders/[orderNumber]?fields=item.trackingUrlThe tracking link will return as a 'trackUrl'